# mdtraj.kabsch_sander

mdtraj.kabsch_sander(traj)

  Compute the Kabsch-Sander hydrogen bond energy between each pair of residues in every frame.

  Hydrogen bonds are defined using an electrostatic definition, assuming partial charges of -0.42 e and +0.20 e to the carbonyl oxygen and amide hydrogen respectively, their opposites assigned to the carbonyl carbon and amide nitrogen. A hydrogen bond is identified if E in the following equation is less than -0.5 kcal/mol:

  \[E = 0.42 \cdot 0.2 \cdot 33.2 kcal/(mol \cdot nm) * \ (1/r_{ON} + 1/r_{CH} - 1/r_{OH} - 1/r_{CN})\]
  Parameters:

    traj (md.Trajectory) – An mdtraj trajectory. It must contain topology information.

  Returns:

    matrices – The return value is a list of length equal to the number of frames in the trajectory. Each element is an n_residues x n_residues sparse matrix, where the existence of an entry at row i, column j with value x means that there exists a hydrogen bond between a backbone CO group at residue i with a backbone NH group at residue j whose Kabsch-Sander energy is less than -0.5 kcal/mol (the threshold for existence of the “bond”). The exact value of the energy is given by the value x.

  Return type:

    list of scipy.sparse.csr_matrix

  See also

  `wernet_nilsson`, `baker_hubbard`

  References

  [1]

  Kabsch W, Sander C (1983). “Dictionary of protein secondary structure: pattern recognition of hydrogen-bonded and geometrical features”. Biopolymers 22 (12): 2577-637. doi:10.1002/bip.360221211